{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  Base Picture Mask Edit dialog                        }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2BaseMaskEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, vg2SimpleDlg, vg2ExtCtrls, StdCtrls, vg2StdCtrls;

type
  Tvg2BaseMaskEditDialogForm = class(Tvg2SimpleDialogForm)
    Label2: TLabel;
    edMask: Tvg2Edit;
    cmVerify: TButton;
    gbOpts: TGroupBox;
    chAutoFill: TCheckBox;
    chCaseCorrection: TCheckBox;
    chCaseIns: TCheckBox;
    procedure cmVerifyClick(Sender: TObject);
    procedure edMaskChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
uses vg2Consts, vg2Mask;

{$R *.DFM}

procedure Tvg2BaseMaskEditDialogForm.cmVerifyClick(Sender: TObject);
begin
  if IsPictureValid(edMask.Text) then
    MessageDlg(SPictureMaskValid, mtInformation, [mbOk], 0) else
    MessageDlg(SPictureMaskInvalid, mtError, [mbOk], 0);
end;

procedure Tvg2BaseMaskEditDialogForm.edMaskChange(Sender: TObject);
begin
  Buttons.ButtonOk.Enabled := IsPictureValid(edMask.Text);
end;

end.
